Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation.util
Class MessageConstants

    java.lang.Object
      com.stc.swift.validation.util.MessageConstants

    public class MessageConstants

extends java.lang.Object

The MessageConstants class contains the Constants used in validation methods

Field Summary
`static java.lang.String` | `ACCA`
`static java.lang.String` | `ACCT`
`static java.lang.String` | `ACCW`
`static java.lang.String` | `ACRU`
`static java.lang.String` | `ACTI`
`static java.lang.String` | `AGGR`
`static java.lang.String` | `AGNT`
`static java.lang.String` | `ALTE`
`static java.lang.String` | `AMND`
`static java.lang.String` | `AMOR`
`static java.lang.String` | `ANTO`
`static java.lang.String` | `APMT`
`static java.lang.String` | `AVAI`
`static java.lang.String` | `BASE`
`static java.lang.String` | `BEID`
`static java.lang.String` | `BEN`
`static java.lang.String` | `BENM`
`static java.lang.String` | `BILA`
`static java.lang.String` | `BOOK`
`static java.lang.String` | `BROK`
`static java.lang.String` | `BUYR`
`static java.lang.String` | `CACK`
`static java.lang.String` | `CAGF`
`static java.lang.String` | `CALL`
`static java.lang.String` | `CALLCACK`
`static java.lang.String` | `CALLDEND`
`static java.lang.String` | `CALLPENF`
`static java.lang.String` | `CANC`
`static java.lang.String` | `CAND`
`static java.lang.String` | `CANP`
`static java.lang.String` | `CDEA`
`static java.lang.String` | `CHAR`
`static java.lang.String` | `CHQB`
`static java.lang.String` | `CMSW`
`static java.lang.String` | `CMTO`
`static java.lang.String` | `CMZB`
`static java.lang.String` | `COAX`
`static java.lang.String` | `CONS`
`static java.lang.String` | `CORT`
`static java.lang.String` | `COUN`
`static java.lang.String` | `CPRCCAND`
`static java.lang.String` | `CPRCCANP`
`static java.lang.String` | `CPRCDEND`
`static java.lang.String` | `CPRCPACK`
`static java.lang.String` | `CPRCREJT`
`static java.lang.String` | `DBNM`
`static java.lang.String` | `DBNMVEND`
`static java.lang.String` | `DEAG`
`static java.lang.String` | `DEAL`
`static java.lang.String` | `DECU`
`static java.lang.String` | `DEI1`
`static java.lang.String` | `DEI2`
`static java.lang.String` | `DEI3`
`static java.lang.String` | `DEI4`
`static java.lang.String` | `DEI5`
`static java.lang.String` | `DEI6`
`static java.lang.String` | `DEI7`
`static java.lang.String` | `DEI8`
`static java.lang.String` | `DEI9`
`static java.lang.String` | `DEND`
`static java.lang.String` | `ESTT`
`static java.lang.String` | `EUTR`
`static java.lang.String` | `EXCH`
`static java.lang.String` | `EXEC`
`static java.lang.String` | `FAMT`
`static java.lang.String` | `FXCX`
`static java.lang.String` | `FXNO`
`static java.lang.String` | `FXYE`
`static java.lang.String` | `HOLD`
`static java.lang.String` | `INTA`
`static java.lang.String` | `INTC`
`static java.lang.String` | `INVE`
`static java.lang.String` | `IPRCCAND`
`static java.lang.String` | `IPRCCANP`
`static java.lang.String` | `IPRCPACK`
`static java.lang.String` | `IPRCPPRC`
`static java.lang.String` | `IPRCREJT`
`static java.lang.String` | `ISDI`
`static java.lang.String` | `ISIN`
`static java.lang.String` | `LEVY`
`static java.lang.String` | `LOCL`
`static java.lang.String` | `LOCO`
`static java.lang.String` | `MARG`
`static java.lang.String` | `MCCO`
`static java.lang.String` | `MEOR`
`static java.lang.String` | `MERE`
`static java.lang.String` | `MTCHNMAT`
`static java.lang.String` | `N`
`static java.lang.String` | `NAVL`
`static java.lang.String` | `NETS`
`static java.lang.String` | `NEWM`
`static java.lang.String` | `NMAT`
`static java.lang.String` | `OCMT`
`static java.lang.String` | `OTHR`
`static java.lang.String` | `OUR`
`static java.lang.String` | `PACK`
`static java.lang.String` | `PAIR`
`static java.lang.String` | `PAYE`
`static java.lang.String` | `PAYM`
`static java.lang.String` | `PAYMAPMT`
`static java.lang.String` | `PDMT`
`static java.lang.String` | `PDUM`
`static java.lang.String` | `PEND`
`static java.lang.String` | `PENF`
`static java.lang.String` | `PENR`
`static java.lang.String` | `PHON`
`static java.lang.String` | `PHYS`
`static java.lang.String` | `POST`
`static java.lang.String` | `PPRC`
`static java.lang.String` | `PREV`
`static java.lang.String` | `PRMT`
`static java.lang.String` | `PRUM`
`static java.lang.String` | `PSET`
`static java.lang.String` | `PSTA`
`static java.lang.String` | `REAG`
`static java.lang.String` | `RECU`
`static java.lang.String` | `RECUBUYR`
`static java.lang.String` | `REDE`
`static java.lang.String` | `REDEDELI`
`static java.lang.String` | `REDERECE`
`static java.lang.String` | `REGF`
`static java.lang.String` | `REI1`
`static java.lang.String` | `REI2`
`static java.lang.String` | `REI3`
`static java.lang.String` | `REI4`
`static java.lang.String` | `REI5`
`static java.lang.String` | `REI6`
`static java.lang.String` | `REI7`
`static java.lang.String` | `REI8`
`static java.lang.String` | `REI9`
`static java.lang.String` | `REJT`
`static java.lang.String` | `RELA`
`static java.lang.String` | `REPA`
`static java.lang.String` | `REPL`
`static java.lang.String` | `REPT`
`static java.lang.String` | `RESU`
`static java.lang.String` | `RTGS`
`static java.lang.String` | `RVSL`
`static java.lang.String` | `SAFE`
`static java.lang.String` | `SDVA`
`static java.lang.String` | `SELL`
`static java.lang.String` | `SETR`
`static java.lang.String` | `SETT`
`static java.lang.String` | `SETTPEND`
`static java.lang.String` | `SETTPENF`
`static java.lang.String` | `SHA`
`static java.lang.String` | `SHIP`
`static java.lang.String` | `SINO`
`static java.lang.String` | `SPAY`
`static java.lang.String` | `SPCN`
`static java.lang.String` | `SPRCREJT`
`static java.lang.String` | `SPRI`
`static java.lang.String` | `SSTD`
`static java.lang.String` | `STAM`
`static java.lang.String` | `STAT`
`static java.lang.String` | `STCO`
`static java.lang.String` | `STEX`
`static java.lang.String` | `STTY`
`static java.lang.String` | `TESP`
`static java.lang.String` | `TODE`
`static java.lang.String` | `TORE`
`static java.lang.String` | `TOSE`
`static java.lang.String` | `TRAD`
`static java.lang.String` | `TRAG`
`static java.lang.String` | `TRAN`
`static java.lang.String` | `TRAX`
`static java.lang.String` | `TRCO`
`static java.lang.String` | `TREE`
`static java.lang.String` | `TRRE`
`static java.lang.String` | `URGP`
`static java.lang.String` | `VATA`
`static java.lang.String` | `VEND`
`static java.lang.String` | `WITH`
`static java.lang.String` | `Y`

Constructor Summary
`MessageConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AMOR

    public static final java.lang.String AMOR

See Also:
  Constant Field Values

### ACCA

    public static final java.lang.String ACCA

See Also:
  Constant Field Values

### ACCT

    public static final java.lang.String ACCT

See Also:
  Constant Field Values

### ACCW

    public static final java.lang.String ACCW

See Also:
  Constant Field Values

### ACTI

    public static final java.lang.String ACTI

See Also:
  Constant Field Values

### ACRU

    public static final java.lang.String ACRU

See Also:
  Constant Field Values

### AGNT

    public static final java.lang.String AGNT

See Also:
  Constant Field Values

### AGGR

    public static final java.lang.String AGGR

See Also:
  Constant Field Values

### ALTE

    public static final java.lang.String ALTE

See Also:
  Constant Field Values

### AMND

    public static final java.lang.String AMND

See Also:
  Constant Field Values

### ANTO

    public static final java.lang.String ANTO

See Also:
  Constant Field Values

### APMT

    public static final java.lang.String APMT

See Also:
  Constant Field Values

### AVAI

    public static final java.lang.String AVAI

See Also:
  Constant Field Values

### BASE

    public static final java.lang.String BASE

See Also:
  Constant Field Values

### BEID

    public static final java.lang.String BEID

See Also:
  Constant Field Values

### BEN

    public static final java.lang.String BEN

See Also:
  Constant Field Values

### BENM

    public static final java.lang.String BENM

See Also:
  Constant Field Values

### BILA

    public static final java.lang.String BILA

See Also:
  Constant Field Values

### BROK

    public static final java.lang.String BROK

See Also:
  Constant Field Values

### BOOK

    public static final java.lang.String BOOK

See Also:
  Constant Field Values

### BUYR

    public static final java.lang.String BUYR

See Also:
  Constant Field Values

### CALL

    public static final java.lang.String CALL

See Also:
  Constant Field Values

### CALLCACK

    public static final java.lang.String CALLCACK

See Also:
  Constant Field Values

### CANC

    public static final java.lang.String CANC

See Also:
  Constant Field Values

### CANP

    public static final java.lang.String CANP

See Also:
  Constant Field Values

### CAND

    public static final java.lang.String CAND

See Also:
  Constant Field Values

### CDEA

    public static final java.lang.String CDEA

See Also:
  Constant Field Values

### CHAR

    public static final java.lang.String CHAR

See Also:
  Constant Field Values

### CHQB

    public static final java.lang.String CHQB

See Also:
  Constant Field Values

### CMSW

    public static final java.lang.String CMSW

See Also:
  Constant Field Values

### CMTO

    public static final java.lang.String CMTO

See Also:
  Constant Field Values

### CMZB

    public static final java.lang.String CMZB

See Also:
  Constant Field Values

### CONS

    public static final java.lang.String CONS

See Also:
  Constant Field Values

### CORT

    public static final java.lang.String CORT

See Also:
  Constant Field Values

### COAX

    public static final java.lang.String COAX

See Also:
  Constant Field Values

### COUN

    public static final java.lang.String COUN

See Also:
  Constant Field Values

### CPRCCAND

    public static final java.lang.String CPRCCAND

See Also:
  Constant Field Values

### CPRCCANP

    public static final java.lang.String CPRCCANP

See Also:
  Constant Field Values

### CPRCDEND

    public static final java.lang.String CPRCDEND

See Also:
  Constant Field Values

### CALLDEND

    public static final java.lang.String CALLDEND

See Also:
  Constant Field Values

### CPRCPACK

    public static final java.lang.String CPRCPACK

See Also:
  Constant Field Values

### CPRCREJT

    public static final java.lang.String CPRCREJT

See Also:
  Constant Field Values

### CACK

    public static final java.lang.String CACK

See Also:
  Constant Field Values

### CAGF

    public static final java.lang.String CAGF

See Also:
  Constant Field Values

### CALLPENF

    public static final java.lang.String CALLPENF

See Also:
  Constant Field Values

### DBNMVEND

    public static final java.lang.String DBNMVEND

See Also:
  Constant Field Values

### DBNM

    public static final java.lang.String DBNM

See Also:
  Constant Field Values

### DEAG

    public static final java.lang.String DEAG

See Also:
  Constant Field Values

### DEND

    public static final java.lang.String DEND

See Also:
  Constant Field Values

### DECU

    public static final java.lang.String DECU

See Also:
  Constant Field Values

### DEI1

    public static final java.lang.String DEI1

See Also:
  Constant Field Values

### DEI2

    public static final java.lang.String DEI2

See Also:
  Constant Field Values

### DEI3

    public static final java.lang.String DEI3

See Also:
  Constant Field Values

### DEI4

    public static final java.lang.String DEI4

See Also:
  Constant Field Values

### DEI5

    public static final java.lang.String DEI5

See Also:
  Constant Field Values

### DEI6

    public static final java.lang.String DEI6

See Also:
  Constant Field Values

### DEI7

    public static final java.lang.String DEI7

See Also:
  Constant Field Values

### DEI8

    public static final java.lang.String DEI8

See Also:
  Constant Field Values

### DEI9

    public static final java.lang.String DEI9

See Also:
  Constant Field Values

### DEAL

    public static final java.lang.String DEAL

See Also:
  Constant Field Values

### ESTT

    public static final java.lang.String ESTT

See Also:
  Constant Field Values

### EUTR

    public static final java.lang.String EUTR

See Also:
  Constant Field Values

### EXCH

    public static final java.lang.String EXCH

See Also:
  Constant Field Values

### EXEC

    public static final java.lang.String EXEC

See Also:
  Constant Field Values

### FAMT

    public static final java.lang.String FAMT

See Also:
  Constant Field Values

### FXCX

    public static final java.lang.String FXCX

See Also:
  Constant Field Values

### FXNO

    public static final java.lang.String FXNO

See Also:
  Constant Field Values

### FXYE

    public static final java.lang.String FXYE

See Also:
  Constant Field Values

### HOLD

    public static final java.lang.String HOLD

See Also:
  Constant Field Values

### INTA

    public static final java.lang.String INTA

See Also:
  Constant Field Values

### INTC

    public static final java.lang.String INTC

See Also:
  Constant Field Values

### INVE

    public static final java.lang.String INVE

See Also:
  Constant Field Values

### IPRCCAND

    public static final java.lang.String IPRCCAND

See Also:
  Constant Field Values

### IPRCCANP

    public static final java.lang.String IPRCCANP

See Also:
  Constant Field Values

### IPRCPACK

    public static final java.lang.String IPRCPACK

See Also:
  Constant Field Values

### IPRCREJT

    public static final java.lang.String IPRCREJT

See Also:
  Constant Field Values

### IPRCPPRC

    public static final java.lang.String IPRCPPRC

See Also:
  Constant Field Values

### ISDI

    public static final java.lang.String ISDI

See Also:
  Constant Field Values

### ISIN

    public static final java.lang.String ISIN

See Also:
  Constant Field Values

### LEVY

    public static final java.lang.String LEVY

See Also:
  Constant Field Values

### LOCL

    public static final java.lang.String LOCL

See Also:
  Constant Field Values

### MCCO

    public static final java.lang.String MCCO

See Also:
  Constant Field Values

### MERE

    public static final java.lang.String MERE

See Also:
  Constant Field Values

### MEOR

    public static final java.lang.String MEOR

See Also:
  Constant Field Values

### MTCHNMAT

    public static final java.lang.String MTCHNMAT

See Also:
  Constant Field Values

### N

    public static final java.lang.String N

See Also:
  Constant Field Values

### NAVL

    public static final java.lang.String NAVL

See Also:
  Constant Field Values

### NETS

    public static final java.lang.String NETS

See Also:
  Constant Field Values

### NEWM

    public static final java.lang.String NEWM

See Also:
  Constant Field Values

### NMAT

    public static final java.lang.String NMAT

See Also:
  Constant Field Values

### OUR

    public static final java.lang.String OUR

See Also:
  Constant Field Values

### OCMT

    public static final java.lang.String OCMT

See Also:
  Constant Field Values

### PACK

    public static final java.lang.String PACK

See Also:
  Constant Field Values

### PAIR

    public static final java.lang.String PAIR

See Also:
  Constant Field Values

### PAYE

    public static final java.lang.String PAYE

See Also:
  Constant Field Values

### PAYM

    public static final java.lang.String PAYM

See Also:
  Constant Field Values

### PAYMAPMT

    public static final java.lang.String PAYMAPMT

See Also:
  Constant Field Values

### PEND

    public static final java.lang.String PEND

See Also:
  Constant Field Values

### PENF

    public static final java.lang.String PENF

See Also:
  Constant Field Values

### PPRC

    public static final java.lang.String PPRC

See Also:
  Constant Field Values

### PENR

    public static final java.lang.String PENR

See Also:
  Constant Field Values

### PDUM

    public static final java.lang.String PDUM

See Also:
  Constant Field Values

### PDMT

    public static final java.lang.String PDMT

See Also:
  Constant Field Values

### PREV

    public static final java.lang.String PREV

See Also:
  Constant Field Values

### PRUM

    public static final java.lang.String PRUM

See Also:
  Constant Field Values

### PRMT

    public static final java.lang.String PRMT

See Also:
  Constant Field Values

### PSET

    public static final java.lang.String PSET

See Also:
  Constant Field Values

### PSTA

    public static final java.lang.String PSTA

See Also:
  Constant Field Values

### PHON

    public static final java.lang.String PHON

See Also:
  Constant Field Values

### PHYS

    public static final java.lang.String PHYS

See Also:
  Constant Field Values

### REAG

    public static final java.lang.String REAG

See Also:
  Constant Field Values

### RECU

    public static final java.lang.String RECU

See Also:
  Constant Field Values

### REDE

    public static final java.lang.String REDE

See Also:
  Constant Field Values

### RELA

    public static final java.lang.String RELA

See Also:
  Constant Field Values

### RECUBUYR

    public static final java.lang.String RECUBUYR

See Also:
  Constant Field Values

### REDERECE

    public static final java.lang.String REDERECE

See Also:
  Constant Field Values

### REDEDELI

    public static final java.lang.String REDEDELI

See Also:
  Constant Field Values

### REJT

    public static final java.lang.String REJT

See Also:
  Constant Field Values

### REPA

    public static final java.lang.String REPA

See Also:
  Constant Field Values

### REPT

    public static final java.lang.String REPT

See Also:
  Constant Field Values

### REPL

    public static final java.lang.String REPL

See Also:
  Constant Field Values

### REI1

    public static final java.lang.String REI1

See Also:
  Constant Field Values

### REI2

    public static final java.lang.String REI2

See Also:
  Constant Field Values

### REI3

    public static final java.lang.String REI3

See Also:
  Constant Field Values

### REI4

    public static final java.lang.String REI4

See Also:
  Constant Field Values

### REI5

    public static final java.lang.String REI5

See Also:
  Constant Field Values

### REI6

    public static final java.lang.String REI6

See Also:
  Constant Field Values

### REI7

    public static final java.lang.String REI7

See Also:
  Constant Field Values

### REI8

    public static final java.lang.String REI8

See Also:
  Constant Field Values

### REI9

    public static final java.lang.String REI9

See Also:
  Constant Field Values

### RESU

    public static final java.lang.String RESU

See Also:
  Constant Field Values

### RTGS

    public static final java.lang.String RTGS

See Also:
  Constant Field Values

### RVSL

    public static final java.lang.String RVSL

See Also:
  Constant Field Values

### SAFE

    public static final java.lang.String SAFE

See Also:
  Constant Field Values

### SDVA

    public static final java.lang.String SDVA

See Also:
  Constant Field Values

### SELL

    public static final java.lang.String SELL

See Also:
  Constant Field Values

### SETR

    public static final java.lang.String SETR

See Also:
  Constant Field Values

### SETT

    public static final java.lang.String SETT

See Also:
  Constant Field Values

### SETTPEND

    public static final java.lang.String SETTPEND

See Also:
  Constant Field Values

### SETTPENF

    public static final java.lang.String SETTPENF

See Also:
  Constant Field Values

### SPRCREJT

    public static final java.lang.String SPRCREJT

See Also:
  Constant Field Values

### SHA

    public static final java.lang.String SHA

See Also:
  Constant Field Values

### SINO

    public static final java.lang.String SINO

See Also:
  Constant Field Values

### SPRI

    public static final java.lang.String SPRI

See Also:
  Constant Field Values

### SPAY

    public static final java.lang.String SPAY

See Also:
  Constant Field Values

### SSTD

    public static final java.lang.String SSTD

See Also:
  Constant Field Values

### STAT

    public static final java.lang.String STAT

See Also:
  Constant Field Values

### STCO

    public static final java.lang.String STCO

See Also:
  Constant Field Values

### STTY

    public static final java.lang.String STTY

See Also:
  Constant Field Values

### TESP

    public static final java.lang.String TESP

See Also:
  Constant Field Values

### TODE

    public static final java.lang.String TODE

See Also:
  Constant Field Values

### TORE

    public static final java.lang.String TORE

See Also:
  Constant Field Values

### TOSE

    public static final java.lang.String TOSE

See Also:
  Constant Field Values

### TRAG

    public static final java.lang.String TRAG

See Also:
  Constant Field Values

### TRAD

    public static final java.lang.String TRAD

See Also:
  Constant Field Values

### TREE

    public static final java.lang.String TREE

See Also:
  Constant Field Values

### TRRE

    public static final java.lang.String TRRE

See Also:
  Constant Field Values

### TRAN

    public static final java.lang.String TRAN

See Also:
  Constant Field Values

### TRCO

    public static final java.lang.String TRCO

See Also:
  Constant Field Values

### VEND

    public static final java.lang.String VEND

See Also:
  Constant Field Values

### Y

    public static final java.lang.String Y

See Also:
  Constant Field Values

### LOCO

    public static final java.lang.String LOCO

See Also:
  Constant Field Values

### MARG

    public static final java.lang.String MARG

See Also:
  Constant Field Values

### OTHR

    public static final java.lang.String OTHR

See Also:
  Constant Field Values

### POST

    public static final java.lang.String POST

See Also:
  Constant Field Values

### REGF

    public static final java.lang.String REGF

See Also:
  Constant Field Values

### SHIP

    public static final java.lang.String SHIP

See Also:
  Constant Field Values

### SPCN

    public static final java.lang.String SPCN

See Also:
  Constant Field Values

### STAM

    public static final java.lang.String STAM

See Also:
  Constant Field Values

### STEX

    public static final java.lang.String STEX

See Also:
  Constant Field Values

### TRAX

    public static final java.lang.String TRAX

See Also:
  Constant Field Values

### URGP

    public static final java.lang.String URGP

See Also:
  Constant Field Values

### VATA

    public static final java.lang.String VATA

See Also:
  Constant Field Values

### WITH

    public static final java.lang.String WITH

See Also:
  Constant Field Values

Constructor Detail

### MessageConstants

    public MessageConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.